Description

If you get to the text import wizard screen where you enter column definition,
then enter a definition, then click the 'back' button twice (back to the first
screen), then go back to the definition screen, the definition you entered is lost.

History

#1 - 02/07/2002 09:54 AM - Dan Higgins

This is the correct behavior when one goes back to a previous screen and changes
something like the column delimiter since then columns may change. Need to
detect if anything has been changed and, if not, then retain previous definitions.

#2 - 05/10/2002 03:45 PM - Matthew Brooke

Now if a user enters column names in the third screen, and then goes back to
the first screen, the code checks to see if user has actually changed

the 'starting row number' textfield or the 'first row contains column names'
checkbox, and if not, the table column headings are not re-parsed, so the
user's previously-entered column-name data is no longer lost.

Also, table title and description can now be changed at will, and won't affect
column heading settings.

At the same time (not included in this bug) | changed the 'starting row
number' textfield action code to reset to previous-stored value if invalid
data is entered (current behavior was to reset to 1, irrespective of previous
value)

#3 - 03/27/2013 02:14 PM - Redmine Admin
Original Bugzilla ID was 391
